Prerequisites Operating system for MantisBT

General discussion of Mantis.

Moderators: Developer, Contributor

Post Reply
GG_FGA
Posts: 3
Joined: Jan 24, 2018 9:22 am

Prerequisites Operating system for MantisBT

Post by GG_FGA » Jan 24, 2018 9:24 am

Hello,

On the following page it is indicated MantisBT runs on Windows, MacOS, OS/2, Linux, Solaris, the BSDs, and just about anything that supports the required server software.
https://www.mantisbt.org/docs/master/en ... quirements

Is it possible to use Windows Server 2016 or Windows Server 2012 R2?

Regards,

atrol
Site Admin
Posts: 7661
Joined: Mar 26, 2008 4:37 pm
Location: Germany

Re: Prerequisites Operating system for MantisBT

Post by atrol » Jan 24, 2018 9:50 am

Check section "2.2.2.1. Versions compatibility table" to get your answer.
So yes, it should be possible.

But keep in mind that none of the current Mantis core developers uses this environment, so you might not get the best support in case of trouble.
Please use Search before posting and read the Manual

GG_FGA
Posts: 3
Joined: Jan 24, 2018 9:22 am

Re: Prerequisites Operating system for MantisBT

Post by GG_FGA » Jan 24, 2018 10:33 am

I saw the version compatibility table.
It indicates RDBMS, PHP or Web Server, but not the operating system.

Does the software have no operating system recommendation, but only dependencies?
These dependencies, which have OS specifications

atrol
Site Admin
Posts: 7661
Joined: Mar 26, 2008 4:37 pm
Location: Germany

Re: Prerequisites Operating system for MantisBT

Post by atrol » Jan 24, 2018 10:42 am

GG_FGA wrote:but not the operating system.
There is a comment for the web server in the table
Windows Server 2008 R2 SP1 or later
GG_FGA wrote:Does the software have no operating system recommendation, but only dependencies?
Right, this is what the follwing sentence means
and just about anything that supports the required server software.
e.g. if you want, you can run your web server on Windows and your MySQL database server on Linux.
Please use Search before posting and read the Manual

GG_FGA
Posts: 3
Joined: Jan 24, 2018 9:22 am

Re: Prerequisites Operating system for MantisBT

Post by GG_FGA » Jan 24, 2018 11:09 am

Thank you for that clarification.
The mention "Windows Server 2008 R2 SP1 or later" in the comment section seems to be indicated for the use of IIS, but it is also possible to use Apache on Windows and in this case there is no indication.
I will respect the dependencies recommendations and follow the OS recommendations of each dependencies.

Thank you atrol for your quick support.

Post Reply